Name:           python-openid-cla
Version:        1.2
Release:        %mkrel 17
Summary:        CLA extension for python-openid
Group:          Development/Python
License:        BSD
URL:            https://github.com/puiterwijk/python-openid-cla
Source:         https://github.com/puiterwijk/python-openid-cla/releases/download/v%{version}/python-openid-cla-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-openid

%global _description\
CLA extension implementation for python-openid

%description %_description

%package -n python3-openid-cla
Summary:        CLA extension for python3-openid
Requires:       python3-openid
%{?python_provide:%python_provide python3-openid-cla}

%description -n python3-openid-cla %_description

This package includes the python 3 version of the module.


%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files openid_cla


%files -n python3-openid-cla -f %{pyproject_files}




%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2-17.mga10
+ Revision: 2241126
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.2-16.mga10
+ Revision: 2158445
- rebuild for python3.13

* Thu Feb 29 2024 papoteur <papoteur> 1.2-15.mga10
+ Revision: 2045774
- rebuild for python 3.12

* Wed Mar 30 2022 umeabot <umeabot> 1.2-14.mga9
+ Revision: 1833858
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.2-13.mga9
+ Revision: 1783489
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.2-12.mga9
+ Revision: 1732653
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2-11.mga8
+ Revision: 1533850
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.2-10.mga8
+ Revision: 1445510
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.2-9.mga7
+ Revision: 1353531
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2-8.mga7
+ Revision: 1289496
- Mageia 7 Mass Rebuild

* Mon Nov 27 2017 ngompa <ngompa> 1.2-7.mga7
+ Revision: 1180027
- Adapt for Mageia
- imported package python-openid-cla


* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-6
- Python 2 binary package renamed to python2-openid-cla
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 18 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.2-1
- Rebase to 1.2 to introduce python3 support

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 02 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.0-1
- Initial packaging

